Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network16.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
16.0.0.0
Broadcast address
31.255.255.255
First usable
16.0.0.1
Last usable
31.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Public public
Old class
A (default /8)
As numbers
Hex 10000000 · Integer 268435456 to 536870911
Reverse DNS zones
16.in-addr.arpa
17.in-addr.arpa
18.in-addr.arpa
19.in-addr.arpa
20.in-addr.arpa
21.in-addr.arpa
22.in-addr.arpa
23.in-addr.arpa
24.in-addr.arpa
25.in-addr.arpa
26.in-addr.arpa
27.in-addr.arpa
28.in-addr.arpa
29.in-addr.arpa
30.in-addr.arpa
31.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010000.00000000.00000000.0000000016.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network00010000.00000000.00000000.0000000016.0.0.0
Broadcast00011111.11111111.11111111.1111111131.255.255.255
Split into smaller subnets/11

16.0.0.0/4 makes 128 subnets of /11.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
116.0.0.0/1116.0.0.1 to 16.31.255.25416.31.255.2552,097,150
216.32.0.0/1116.32.0.1 to 16.63.255.25416.63.255.2552,097,150
316.64.0.0/1116.64.0.1 to 16.95.255.25416.95.255.2552,097,150
416.96.0.0/1116.96.0.1 to 16.127.255.25416.127.255.2552,097,150
516.128.0.0/1116.128.0.1 to 16.159.255.25416.159.255.2552,097,150
616.160.0.0/1116.160.0.1 to 16.191.255.25416.191.255.2552,097,150
716.192.0.0/1116.192.0.1 to 16.223.255.25416.223.255.2552,097,150
816.224.0.0/1116.224.0.1 to 16.255.255.25416.255.255.2552,097,150
917.0.0.0/1117.0.0.1 to 17.31.255.25417.31.255.2552,097,150
1017.32.0.0/1117.32.0.1 to 17.63.255.25417.63.255.2552,097,150
1117.64.0.0/1117.64.0.1 to 17.95.255.25417.95.255.2552,097,150
1217.96.0.0/1117.96.0.1 to 17.127.255.25417.127.255.2552,097,150
1317.128.0.0/1117.128.0.1 to 17.159.255.25417.159.255.2552,097,150
1417.160.0.0/1117.160.0.1 to 17.191.255.25417.191.255.2552,097,150
1517.192.0.0/1117.192.0.1 to 17.223.255.25417.223.255.2552,097,150
1617.224.0.0/1117.224.0.1 to 17.255.255.25417.255.255.2552,097,150
1718.0.0.0/1118.0.0.1 to 18.31.255.25418.31.255.2552,097,150
1818.32.0.0/1118.32.0.1 to 18.63.255.25418.63.255.2552,097,150
1918.64.0.0/1118.64.0.1 to 18.95.255.25418.95.255.2552,097,150
2018.96.0.0/1118.96.0.1 to 18.127.255.25418.127.255.2552,097,150
2118.128.0.0/1118.128.0.1 to 18.159.255.25418.159.255.2552,097,150
2218.160.0.0/1118.160.0.1 to 18.191.255.25418.191.255.2552,097,150
2318.192.0.0/1118.192.0.1 to 18.223.255.25418.223.255.2552,097,150
2418.224.0.0/1118.224.0.1 to 18.255.255.25418.255.255.2552,097,150
2519.0.0.0/1119.0.0.1 to 19.31.255.25419.31.255.2552,097,150
2619.32.0.0/1119.32.0.1 to 19.63.255.25419.63.255.2552,097,150
2719.64.0.0/1119.64.0.1 to 19.95.255.25419.95.255.2552,097,150
2819.96.0.0/1119.96.0.1 to 19.127.255.25419.127.255.2552,097,150
2919.128.0.0/1119.128.0.1 to 19.159.255.25419.159.255.2552,097,150
3019.160.0.0/1119.160.0.1 to 19.191.255.25419.191.255.2552,097,150
3119.192.0.0/1119.192.0.1 to 19.223.255.25419.223.255.2552,097,150
3219.224.0.0/1119.224.0.1 to 19.255.255.25419.255.255.2552,097,150
3320.0.0.0/1120.0.0.1 to 20.31.255.25420.31.255.2552,097,150
3420.32.0.0/1120.32.0.1 to 20.63.255.25420.63.255.2552,097,150
3520.64.0.0/1120.64.0.1 to 20.95.255.25420.95.255.2552,097,150
3620.96.0.0/1120.96.0.1 to 20.127.255.25420.127.255.2552,097,150
3720.128.0.0/1120.128.0.1 to 20.159.255.25420.159.255.2552,097,150
3820.160.0.0/1120.160.0.1 to 20.191.255.25420.191.255.2552,097,150
3920.192.0.0/1120.192.0.1 to 20.223.255.25420.223.255.2552,097,150
4020.224.0.0/1120.224.0.1 to 20.255.255.25420.255.255.2552,097,150
4121.0.0.0/1121.0.0.1 to 21.31.255.25421.31.255.2552,097,150
4221.32.0.0/1121.32.0.1 to 21.63.255.25421.63.255.2552,097,150
4321.64.0.0/1121.64.0.1 to 21.95.255.25421.95.255.2552,097,150
4421.96.0.0/1121.96.0.1 to 21.127.255.25421.127.255.2552,097,150
4521.128.0.0/1121.128.0.1 to 21.159.255.25421.159.255.2552,097,150
4621.160.0.0/1121.160.0.1 to 21.191.255.25421.191.255.2552,097,150
4721.192.0.0/1121.192.0.1 to 21.223.255.25421.223.255.2552,097,150
4821.224.0.0/1121.224.0.1 to 21.255.255.25421.255.255.2552,097,150
4922.0.0.0/1122.0.0.1 to 22.31.255.25422.31.255.2552,097,150
5022.32.0.0/1122.32.0.1 to 22.63.255.25422.63.255.2552,097,150
5122.64.0.0/1122.64.0.1 to 22.95.255.25422.95.255.2552,097,150
5222.96.0.0/1122.96.0.1 to 22.127.255.25422.127.255.2552,097,150
5322.128.0.0/1122.128.0.1 to 22.159.255.25422.159.255.2552,097,150
5422.160.0.0/1122.160.0.1 to 22.191.255.25422.191.255.2552,097,150
5522.192.0.0/1122.192.0.1 to 22.223.255.25422.223.255.2552,097,150
5622.224.0.0/1122.224.0.1 to 22.255.255.25422.255.255.2552,097,150
5723.0.0.0/1123.0.0.1 to 23.31.255.25423.31.255.2552,097,150
5823.32.0.0/1123.32.0.1 to 23.63.255.25423.63.255.2552,097,150
5923.64.0.0/1123.64.0.1 to 23.95.255.25423.95.255.2552,097,150
6023.96.0.0/1123.96.0.1 to 23.127.255.25423.127.255.2552,097,150
6123.128.0.0/1123.128.0.1 to 23.159.255.25423.159.255.2552,097,150
6223.160.0.0/1123.160.0.1 to 23.191.255.25423.191.255.2552,097,150
6323.192.0.0/1123.192.0.1 to 23.223.255.25423.223.255.2552,097,150
6423.224.0.0/1123.224.0.1 to 23.255.255.25423.255.255.2552,097,150
6524.0.0.0/1124.0.0.1 to 24.31.255.25424.31.255.2552,097,150
6624.32.0.0/1124.32.0.1 to 24.63.255.25424.63.255.2552,097,150
6724.64.0.0/1124.64.0.1 to 24.95.255.25424.95.255.2552,097,150
6824.96.0.0/1124.96.0.1 to 24.127.255.25424.127.255.2552,097,150
6924.128.0.0/1124.128.0.1 to 24.159.255.25424.159.255.2552,097,150
7024.160.0.0/1124.160.0.1 to 24.191.255.25424.191.255.2552,097,150
7124.192.0.0/1124.192.0.1 to 24.223.255.25424.223.255.2552,097,150
7224.224.0.0/1124.224.0.1 to 24.255.255.25424.255.255.2552,097,150
7325.0.0.0/1125.0.0.1 to 25.31.255.25425.31.255.2552,097,150
7425.32.0.0/1125.32.0.1 to 25.63.255.25425.63.255.2552,097,150
7525.64.0.0/1125.64.0.1 to 25.95.255.25425.95.255.2552,097,150
7625.96.0.0/1125.96.0.1 to 25.127.255.25425.127.255.2552,097,150
7725.128.0.0/1125.128.0.1 to 25.159.255.25425.159.255.2552,097,150
7825.160.0.0/1125.160.0.1 to 25.191.255.25425.191.255.2552,097,150
7925.192.0.0/1125.192.0.1 to 25.223.255.25425.223.255.2552,097,150
8025.224.0.0/1125.224.0.1 to 25.255.255.25425.255.255.2552,097,150
8126.0.0.0/1126.0.0.1 to 26.31.255.25426.31.255.2552,097,150
8226.32.0.0/1126.32.0.1 to 26.63.255.25426.63.255.2552,097,150
8326.64.0.0/1126.64.0.1 to 26.95.255.25426.95.255.2552,097,150
8426.96.0.0/1126.96.0.1 to 26.127.255.25426.127.255.2552,097,150
8526.128.0.0/1126.128.0.1 to 26.159.255.25426.159.255.2552,097,150
8626.160.0.0/1126.160.0.1 to 26.191.255.25426.191.255.2552,097,150
8726.192.0.0/1126.192.0.1 to 26.223.255.25426.223.255.2552,097,150
8826.224.0.0/1126.224.0.1 to 26.255.255.25426.255.255.2552,097,150
8927.0.0.0/1127.0.0.1 to 27.31.255.25427.31.255.2552,097,150
9027.32.0.0/1127.32.0.1 to 27.63.255.25427.63.255.2552,097,150
9127.64.0.0/1127.64.0.1 to 27.95.255.25427.95.255.2552,097,150
9227.96.0.0/1127.96.0.1 to 27.127.255.25427.127.255.2552,097,150
9327.128.0.0/1127.128.0.1 to 27.159.255.25427.159.255.2552,097,150
9427.160.0.0/1127.160.0.1 to 27.191.255.25427.191.255.2552,097,150
9527.192.0.0/1127.192.0.1 to 27.223.255.25427.223.255.2552,097,150
9627.224.0.0/1127.224.0.1 to 27.255.255.25427.255.255.2552,097,150
9728.0.0.0/1128.0.0.1 to 28.31.255.25428.31.255.2552,097,150
9828.32.0.0/1128.32.0.1 to 28.63.255.25428.63.255.2552,097,150
9928.64.0.0/1128.64.0.1 to 28.95.255.25428.95.255.2552,097,150
10028.96.0.0/1128.96.0.1 to 28.127.255.25428.127.255.2552,097,150
10128.128.0.0/1128.128.0.1 to 28.159.255.25428.159.255.2552,097,150
10228.160.0.0/1128.160.0.1 to 28.191.255.25428.191.255.2552,097,150
10328.192.0.0/1128.192.0.1 to 28.223.255.25428.223.255.2552,097,150
10428.224.0.0/1128.224.0.1 to 28.255.255.25428.255.255.2552,097,150
10529.0.0.0/1129.0.0.1 to 29.31.255.25429.31.255.2552,097,150
10629.32.0.0/1129.32.0.1 to 29.63.255.25429.63.255.2552,097,150
10729.64.0.0/1129.64.0.1 to 29.95.255.25429.95.255.2552,097,150
10829.96.0.0/1129.96.0.1 to 29.127.255.25429.127.255.2552,097,150
10929.128.0.0/1129.128.0.1 to 29.159.255.25429.159.255.2552,097,150
11029.160.0.0/1129.160.0.1 to 29.191.255.25429.191.255.2552,097,150
11129.192.0.0/1129.192.0.1 to 29.223.255.25429.223.255.2552,097,150
11229.224.0.0/1129.224.0.1 to 29.255.255.25429.255.255.2552,097,150
11330.0.0.0/1130.0.0.1 to 30.31.255.25430.31.255.2552,097,150
11430.32.0.0/1130.32.0.1 to 30.63.255.25430.63.255.2552,097,150
11530.64.0.0/1130.64.0.1 to 30.95.255.25430.95.255.2552,097,150
11630.96.0.0/1130.96.0.1 to 30.127.255.25430.127.255.2552,097,150
11730.128.0.0/1130.128.0.1 to 30.159.255.25430.159.255.2552,097,150
11830.160.0.0/1130.160.0.1 to 30.191.255.25430.191.255.2552,097,150
11930.192.0.0/1130.192.0.1 to 30.223.255.25430.223.255.2552,097,150
12030.224.0.0/1130.224.0.1 to 30.255.255.25430.255.255.2552,097,150
12131.0.0.0/1131.0.0.1 to 31.31.255.25431.31.255.2552,097,150
12231.32.0.0/1131.32.0.1 to 31.63.255.25431.63.255.2552,097,150
12331.64.0.0/1131.64.0.1 to 31.95.255.25431.95.255.2552,097,150
12431.96.0.0/1131.96.0.1 to 31.127.255.25431.127.255.2552,097,150
12531.128.0.0/1131.128.0.1 to 31.159.255.25431.159.255.2552,097,150
12631.160.0.0/1131.160.0.1 to 31.191.255.25431.191.255.2552,097,150
12731.192.0.0/1131.192.0.1 to 31.223.255.25431.223.255.2552,097,150
12831.224.0.0/1131.224.0.1 to 31.255.255.25431.255.255.2552,097,150

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses